%define perlname Gtk2-MozEmbed

%define xulversion 1.9.0.6

Summary:       Interface to the Mozilla embedding widget
Name:          perl-Gtk2-MozEmbed
Version:       0.08
Release:       1%{?dist}

Group:         Development/Libraries
License:       LGPLv2
URL:           http://search.cpan.org/dist/Gtk2-MozEmbed
Source0:       http://www.cpan.org/authors/id/T/TS/TSCH/%{perlname}-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: gtk2-devel, pkgconfig

BuildRequires: xulrunner-devel-unstable = %{xulversion}

BuildRequires: perl(Glib) >= 1.060
BuildRequires: perl(Gtk2) >= 1.081
Requires:      perl(Glib) >= 1.060
Requires:      perl(Gtk2) >= 1.081
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:      gecko-libs = %{xulversion}

%description
This module allows you to use the Mozilla embedding widget from Perl.


%prep
%setup -q -n %{perlname}-%{version}

iconv -f ISO-8859-15 -t UTF-8 NEWS >NEWS.utf8
touch -r NEWS NEWS.utf8
mv NEWS.utf8 NEWS

# Fedora xulrunner PATH and lib64
sed -e s:xulrunner-devel:xulrunner-sdk: \
    -e s:/lib/:/%{_lib}/: \
    -i Makefile.PL


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';' -print
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';' -print
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog examples/ LICENSE NEWS README
%{_mandir}/man3/Gtk2::MozEmbed*
%{perl_vendorarch}/auto/Gtk2/MozEmbed/*
%{perl_vendorarch}/Gtk2/MozEmbed*


%changelog
* Sat Feb 14 2009 Remi Collet <RPMS@FamilleCollet.com> - 0.08-1
- initial Fedora RPM

